Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.callback
Class NullCallbackStore.FailedCallback

    java.lang.Object
      org.jboss.remoting.InvocationRequest
          org.jboss.remoting.callback.Callback
              org.jboss.remoting.callback.NullCallbackStore.FailedCallback

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  NullCallbackStore

    public class NullCallbackStore.FailedCallback

extends Callback

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.remoting.callback.Callback
`CALLBACK_HANDLE_OBJECT_KEY, SERVER_LOCATOR_KEY`

Constructor Summary
`NullCallbackStore.FailedCallback(java.lang.Object callbackPayload)`

Method Summary
`java.lang.Object` | `getCallbackObject()` Gets the callback payload sent from the server handler.

Methods inherited from class org.jboss.remoting.callback.Callback
`getCallbackHandleObject, getServerLocator, setCallbackHandleObject`

Methods inherited from class org.jboss.remoting.InvocationRequest
`getLocator, getParameter, getRequestPayload, getReturnPayload, getSessionId, getSubsystem, setLocator, setParameter, setRequestPayload, setReturnPayload, setSessionId, setSubsystem, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NullCallbackStore.FailedCallback

    public NullCallbackStore.FailedCallback(java.lang.Object callbackPayload)

Method Detail

### getCallbackObject

    public java.lang.Object getCallbackObject()

  Description copied from class: `Callback`
  Gets the callback payload sent from the server handler.

  Overrides:
    `getCallbackObject` in class `Callback`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.